
def generate_random_text(text_length, model_name="gpt2"):
    from transformers import pipeline

    # Load the text generation pipeline with the specified model
    generator = pipeline("text-generation", model=model_name)

    # Generate random text of the specified length
    generated_text = generator("The quick brown fox", max_length=text_length)[0]['generated_text']
    return generated_text



